package com.ann.demo.entity.interfaceEntity;

import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 检查申请单
 *
 * @Author: LeiJiaXin
 * @Date: 2019/8/22 15:42
 */
@Data
@Table
@Entity
public class ExamApply {

    @Id
    private String applyId;

    private Date xmlCreateTime;

    private String inpNo;

    private String visitId;

    private String patientId;

    private Date authorReportTime;

    private String result;

    private Integer isValid = 0;

    /**
     * 病理、放射、心电、超声、内镜
     */
    private String reportType;


    /**
     * 2019-10-21 新增是否开立接口 E 检查 F 取消检查
     */
    private String isOpen = "0";


}
