package com.ann.demo.entity.normalEntity;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/8/6 9:53
 */
@Data
@Entity
@Table(name = "commomtable1")
public class CommonTable1 {

    @Id
    @Column(name = "patient_id")
    private String masterId;


    /**
     * 1 新生儿出生体重
     */
    @Column(name = "avoirdupois")
    private float YZY072;

    /**
     * 2 新生儿入院体重
     */
    @Column(name = "avoirdupois_admiss")
    private float YZY073;

    /**
     * 5 出生日期
     */
    @Column(name = "birthday")
    private Date AAC006;


    /**
     * 7 医疗付费方式
     */
    @Column(name = "pay_type")
    private String YZY074;


    /**
     * 9 出生地
     */
    @Column(name = "birth_addr")
    private String YZY010;


    /**
     * 10 职业
     */
    @Column(name = "job")
    private String YZY016;

    /**
     * 11 联系人地址
     */
    @Column(name = "rel_addr")
    private String YZY027;

    /**
     * 12 联系人电话
     */
    @Column(name = "rel_tel")
    private String YZY028;

    /**
     * 13 身份证号
     */
    @Column(name = "id_card")
    private String YZY011;

    /**
     * 15 婚况 1.未婚，2.已婚，3.离婚，4.丧偶，5.其他
     */
    @Column(name = "marriage")
    private String YZY018;

    /**
     * 16 民族
     */
    @Column(name = "nation")
    private String YZY015;


    /**
     * 17 国籍
     */
    @Column(name = "country")
    private String AAC161;

    /**
     * 18 籍贯
     */
    @Column(name = "native_place")
    private String YZY076;

    /**
     * 23 联系人关系
     */
    @Column(name = "relation")
    private String YZY026;


    /**
     * 24 现住址电话
     */
    @Column(name = "home_tel")
    private String YZY079;

    /**
     * 25 工作单位电话
     */
    @Column(name = "work_tel")
    private String YZY021;

    /**
     * 26 工作单位住址邮编
     */
    @Column(name = "work_zip")
    private String YZY022;

    /**
     * 27 现住址邮编
     */
    @Column(name = "home_zip")
    private String YZY080;

    /**
     * 64 （主要出院诊断）入院病情 -------------入院病情 1.危，2.急，3.一般
     */
    @Column(name = "admiss_thing")
    private String YZY111;

    /**
     * 72 门((急)诊诊断编码
     */
    @Column(name = "clinic_diag")
    private String YZY113;

    /**
     * 73门((急)诊诊断
     */
    @Column(name = "clinic_name")
    private String YZY114;


    /**
     * 74 过敏药物
     */
    @Column(name = "medicine")
    private String YZY046;

    /**
     * 75 是否死亡患者尸检 0.未做，1.符合，2.不符合，3.不肯定，4.不作统计
     */
    @Column(name = "emit_pathology")
    private String YZY089;


    /**
     * 76 血型
     */
    @Column(name = "blood_type")
    private String YZY090;

    /**
     * 77 是否药物过敏
     */
    @Column(name = "is_medicine")
    private String is_medicine;


    /**
     * 84 Rh 1.阴，2.阳，3未查
     */
    @Column(name = "RH")
    private String YZY096;

    /**
     * 94 入院科别
     */
    @Column(name = "admiss_dept")
    private String YZY033;

    /**
     * 95 入院途径 1.门诊，2.急诊，3.转院
     */
    @Column(name = "admiss_type")
    private String YZY100;

    /**
     * 96 转科科别
     */
    @Column(name = "change_dept")
    private String YZY101;

    /**
     * 97 入院病房
     */
    @Column(name = "admiss_ward")
    private String YZY102;


    /**
     * 99 主任（副主任）医师
     */
    @Column(name = "director")
    private String YZY052;

    /**
     * 101 编码员
     */
    @Column(name = "coding")
    private String YZY061;


    /**
     * 102 （出院）病房
     */
    @Column(name = "dis_ward")
    private String YZY039;

    /**
     * 104 住院医师
     */
    @Column(name = "admiss_doctor")
    private String YZY056;

    /**
     * 105 科主任
     */
    @Column(name = "dept_director")
    private String YZY050;



    /**
     * 工作单位地址
     */
    @Column(name = "work_addr")
    private String YZY020;

    /**
     * 联系人姓名
     */
    @Column(name = "linkman")
    private String AAE004;

    /////////////////////////////////


    /**
     * 质检日期
     */
    @Column(name = "quality_date")
    private Date YZY069;

    /**
     * 质控医师
     */
    @Column(name = "control")
    private String YZY066;
    /**
     * 质控护士
     */
    @Column(name = "nurses")
    private String YZY068;

    /**
     * 病案质量 1.甲，2.乙，3.丙
     */
    @Column(name = "quality")
    private String YZY064;


    /**
     * 进修医师
     */
    @Column(name = "refresher")
    private String YZY058;
    /**
     * 实习医师
     */
    @Column(name = "praxis")
    private String YZY060;


}
