package com.ann.demo.entity.normalEntity;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 科室
 * @Date 2019/6/16 16:57
 * @Created by  ljx
 */

@Table(name = "dpartments")
@Entity
@Data
public class Department {

    /**
     * 科室编码
     */
    @Id
    @Column(name = "id")
    private String DEPT_CODE;

    /**
     * 科室名称
     */
    @Column(name = "name")
    private String DEPT_NAME;

    /**
     * 拼音码
     */
    @Column(name = "initialism")
    private String PYM;

    @Column(name = "isvalid")
    private Integer isValid = 0;

    /**
     * 是否临床 0 临床 1 辅诊 2 护理单元 3 机关 9 其他
     */
    @Column(name = "clinic_attr")
    private Integer CLINIC_ATTR = 0;


}
