package com.ann.demo.entity.normalEntity;

import com.ann.demo.entity.normalEntity.ids.OperDetailIds;
import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * 手术
 *
 * @Author: LeiJiaXin
 * @Date: 2019/8/6 9:08
 */

@Table(name = "t_operate")
@Entity
@IdClass(OperDetailIds.class)
@Data
public class OperDetail {

    @Id
    @Column(name = "patient_id", length = 50)
    private String masterId;

    /**
     *
     */
    @Column(name = "operate_no")
    private Integer YZY201;

    /**
     * 手术操作编码
     */
    @Id
    @Column(name = "operateCode")
    private String YZY207;

    /**
     * 手术操作名称
     */
    @Column(name = "operateName")
    private String YZY208;

    /**
     * 手术操作日期
     */
    @Column(name = "operateDate")
    private Date YZY209;

    /**
     * 手术级别
     */
    @Column(name = "operateClass")
    private String YZY227;

    /**
     * 手术操作术者
     */
    @Column(name = "operator")
    private String YZY215;

    /**
     * 手术I助
     */
    @Column(name = "assistant_1")
    private String YZY220;

    /**
     * 手术II助
     */
    @Column(name = "assistant_2")
    private String YZY222;

    /**
     * 手术III助
     */
    @Column(name = "assistant_3")
    private String assistant_3;

    /**
     * 切口愈合等级
     */
    @Column(name = "cut")
    private String YZY210;

    /**
     * 麻醉方式
     */
    @Column(name = "anaesthesia_type")
    private String YZY216;

    /**
     * 麻醉医师
     */
    @Column(name = "anaesthesia_name")
    private String YZY223;

    /**
     * 录入员编号
     */
    @Column(name = "oper_code")
    private String oper_code;

    /**
     * 录入员姓名
     */
    @Column(name = "oper_name")
    private String oper_name;

    /**
     * 录入日期
     */
    @Column(name = "oper_date")
    private String oper_date;


    /**
     *
     */
    @Column(name = "OPERATION_SCALE")
    private String OPERATION_SCALE;

    /**
     *
     */
    @Column(name = "chossurg")
    private String ChosSurg;

    /**
     *
     */
    @Column(name = "operdegr")
    private String OperDegr;


}
