package com.ann.demo.entity.normalEntity;

import lombok.Data;

import javax.persistence.Column;

/**
 * 校验质控规则所有信息
 * @Author: LeiJiaXin
 * @Date: 2020/5/22 10:27
 */
@Data
public class OtherData {


    /**
     * 19 组织机构代码 Organization code
     */
    private String YZY077;

    /**
     * 20 医疗机构
     */
    private String YZY078;


    /**
     * 21 户口地址
     */
    private String AAC010;

    /**
     * 22 户口地址邮编
     */
    private String  YZY024;

    /**
     * 28 住院总费用
     */
    private String AKC264;

    /**
     * 29 治疗类-9-临床物理治疗费
     */
    @Column(name = "lcwlzlf")
    private String YZY132;

    /**
     * 30 治疗类-10-麻醉费
     */
    @Column(name = "mzf")
    private String YZY134;


    /**
     * 31 治疗类-10-手术费
     */
    @Column(name = "ssf")
    private String YZY135;

    /**
     * 32 西药类-13-抗菌药物费用
     */
    @Column(name = "kjywfy")
    private String YZY152;

    /**
     * 33 综合医疗服务类-一般医疗服务费(1)
     */
    @Column(name = "ybylfwf1")
    private String YZY123;

    /**
     * 34 综合医疗服务类-一般治疗操作费(2)
     */
    @Column(name = "ybylfwf2")
    private String YZY124;

    /**
     * 35 综合医疗服务类-护理费(3)
     */
    @Column(name = "hlf")
    private String YZY125;

    /**
     * 36 综合医疗服务类-其他费用(4)
     */
    @Column(name = "qtfy")
    private String YZY126;

    /**
     * 37 诊断类-病理诊断费(5)
     */
    @Column(name = "blzdf")
    private String YZY127;

    /**
     * 38 诊断类-实验室诊断费(6)
     */
    @Column(name = "syszdf")
    private String YZY128;

    /**
     * 39 诊断类-影像学诊断费(7)
     */
    @Column(name = "yxxzdf")
    private String YZY129;

    /**
     * 40 诊断类-临床诊断项目费(8)
     */
    @Column(name = "lczdxmf")
    private String YZY130;

//    /**
//     * 41 治疗类-非手术治疗项目费(9)-2
//     */
//    @Column(name = "fsszlxmf2")
//    private String YZY132;


    /**
     * 42 治疗类-非手术治疗项目费(9)
     */
    @Column(name = "fsszlxmf")
    private String YZY131;

    /**
     * 43 治疗类-手术治疗费(10)
     */
    @Column(name = "sszlf")
    private String YZY133;

    /**
     * 44 康复类-康复费(11)
     */
    @Column(name = "kff")
    private String YZY136;

    /**
     * 45 中医类-中医治疗费(12)
     */
    @Column(name = "zyzlf")
    private String YZY137;


    /**
     * 46 西药类-西药费(13)
     */
    @Column(name = "xyf")
    private String YZY138;

    /**
     * 47 中药类-中成药费(14)
     */
    @Column(name = "zcyf")
    private String YZY153;

    /**
     * 48 中药类-中草药费(15)
     */
    @Column(name = "zcyf")
    private String YZY154;

    /**
     * 49 血液和血液制品类-血费(16)
     */
    @Column(name = "xf")
    private String YZY139;

    /**
     * 50 血液和血液制品类-白蛋白类制品费(17)
     */
    @Column(name = "bdblzpf")
    private String YZY140;

    /**
     * 51 血液和血液制品类-球蛋白类制品费(18)
     */
    @Column(name = "qdblzpf")
    private String YZY141;

    /**
     * 52 血液和血液制品类-凝血因子类制品费(19)
     */
    @Column(name = "nxyzlzpf")
    private String YZY142;

    /**
     * 53 血液和血液制品类-细胞因子类制品费(20)
     */
    @Column(name = "xbyzlzpf")
    private String YZY143;

    /**
     * 54 耗材类-检查用一次性医用材料费(21)
     */
    @Column(name = "jcyycxyyclf")
    private String YZY144;

    /**
     * 55 耗材类-治疗用一次性医用材料费(22)
     */
    @Column(name = "zlyycxyyclf")
    private String YZY145;

    /**
     * 56 耗材类-手术用一次性医用材料费(23)
     */
    @Column(name = "ssyycxyyclf")
    private String YZY146;

    /**
     * 57 其他类-其他费(24)
     */
    @Column(name = "qtf")
    private String YZY155;

    /**
     * 58 自付费用
     */
    @Column(name = "zffy")
    private String YZY122;

    /**
     * 59 （主要出院诊断）编码
     */
    private String mainDiagCode;



    /**
     * 61 （主要手术）名称
     */
    private String YZY105;


    /**
     * 62 （主要操作）名称
     */
    private String YZY110;


    /**
     * 63 （其他出院诊断）编码-1-2
     * 等待确认
     */


    /**
     * 65 （入院前）颅脑损伤时间
     */
    private String YZY081;

    /**
     * 66 （入院后）颅脑损伤时间
     */
    private String YZY082;

    /**
     * 67 （主要操作）切口愈合等级
     */
    private String YZY083;

    /**
     * 68 （主要手术）切口愈合等级
     */
    private String YZY084;

    /**
     * 69 （主要手术）日期
     */
    private String YZY106;

    /**
     * 70 （主要操作）日期
     */
    private String YZY085;

    /**
     * 70-1 病理诊断编码
     */
    private String pathologyDingCode;

    /**
     * 70-2 病理诊断
     */
    private String pathologyDingName;

    /**
     * 71 （主要手术）麻醉方式
     */
    private String YZY107;

    /**
     * 78 损伤、中毒的外部原因疾病编码必填
     */
    private String mainDiagCodeOutSideReason;

    /**
     * 79 损伤中毒的外部原因编码
     */
    private String YZY092;

    /**
     * 80 损伤、中毒的外部原因必填
     */
    private String YZY093;

    /**
     * 81 （主要操作）级别
     */
    private String YZY094;

    /**
     * 82 （主要手术）级别
     */
    private String YZY108;

    /**
     * 83 病理号 (基于其他病理诊断内容判断病理号不为空 )
     */
    private String YZY095;

    /**
     * 85 （主要手术）术者
     */
    private String YZY109;


    /**
     * 86 （主要操作）术者
     */
    private String YZY097;


    /**
     * 87 离院方式
     */
    private String YZY070;


    /**
     * 91 是否有31天内再次入院计划
     */
    private String YZY098;


    /**
     * 92  31天内再次入院目的
     */
    private String YZY099;

    /**
     * 98 （主要手术）麻醉医师
     */
    private String YZY112;


    /**
     *  100 责任护士
     */
    private String YZY103;



}
