package com.ann.demo.utils;


import java.io.IOException;
import java.util.Properties;

public class PropertiesUtils {
    private static String fileName = "\\application.properties";
    private static Properties props;

    synchronized static private void loadProps(){
        if (props==null) {
            props = new Properties();
            ClassLoader loader = Thread.currentThread().getContextClassLoader();
            try {
                props.load(loader.getResourceAsStream(fileName));
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }

    public static String getProperty(String key){
        if(null == props) {
            loadProps();
        }
        return  props.getProperty(key);
    }
}
