package com.ann.demo.entity.normalEntity;

import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * 病案首页缓存
 *
 * @Author: LeiJiaXin
 * @Date: 2019/8/6 9:06
 */
@Data
@Table
@Entity
public class MedicalRecordHomepageCache {

    @Id
    private String masterId;

    private String content;

    private Date createTime = new Date();

    private String remark;

    // 是否新增 默认没有新增
    private Integer isAdd = 0;


    public MedicalRecordHomepageCache(String masterId, String content) {
        this.masterId = masterId;
        this.content = content;
    }

    public MedicalRecordHomepageCache() {
    }
}
