package com.ann.demo.entity.normalEntity;


import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description 用户
 * @Date 2019/6/15 16:57
 * @Created by  ljx
 */

@Table(name = "users")
@Entity
@Data
public class User3 {

    /**
     * 用户标识
     */
    @Id
    @Column(name = "id")
    private String USER_ID;

    /**
     * 用户姓名
     */
    @Column(name = "name")
    private String USER_NAME;

    /**
     * 用户科室
     */
    @Column(name = "departmentid")
    private String USER_DEPT;

    /**
     * 用户密码
     */
    @Column(name = "password")
    private String USER_PWD;

    /**
     * 建立日期
     */
    @Column(name = "createdate")
    private Date CREATE_DATE;

    /**
     * 拼音码
     */
    @Column(name = "initialism")
    private String PYM;

    /**
     * 登陆名
     */
    @Column(name = "code")
    private String USER_LOGIN_NAME;

    /**
     * 用户类型 用户角色 0 为医生,1 为护士；
     */
    @Column(name = "roleid")
    private String USER_TYPE;


    @Column(name = "isvalid")
    private Integer isValid = 0;

    /**
     * 1 有资质 0 无资质；
     */
    @Column(name = "EDUCATION_FLAG")
    private Integer EDUCATION_FLAG;

}
