package com.ann.demo.service;

import com.ann.demo.entity.interfaceEntity.ArchiveMaster;

import java.util.List;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/7/11 20:53
 */
public interface ArchiveMasterService {

    public void save(ArchiveMaster archiveMaster) throws Exception;

    public String findArchiveMasterId( String visitId, String patientId,String inpNo);

    // 修改患者入院状态
    public boolean updateArchiveMasterValid(String archiveMasterId);

    // 转科
    public boolean transferDepartment(ArchiveMaster archiveMaster);

    // 出院
    public void discharge(ArchiveMaster archiveMaster);


    public ArchiveMaster findByPatientIdAndVisitIdAndIsValid(String inpNo, String visitId) throws Exception;

//    // 病案首页定时器，查询所有归档
//    public List<ArchiveMaster> findAllArchiveMaster();
//
//    boolean updateCheckedDatetime(String id);

    // 2020-5-11 更新患者信息
    boolean updateArchiveMaster(ArchiveMaster archiveMaster);

    //20200609 同步死亡医嘱
    boolean updateArchiveMasterByDeathFlag(ArchiveMaster archiveMaster);

    //20200609 同步管床医师
    boolean updateArchiveMasterBydoctorInCharge(ArchiveMaster archiveMaster);

    boolean updateArchiveMasterArchiveState(ArchiveMaster archiveMaster);




}
